/*
 * otsu_validate_fw.h
 *
 *  Created on: 29-Dec-2023
 *      Author: Invcuser52
 */

#ifndef _INC_OTSU_VALIDATE_FW_H_
#define _INC_OTSU_VALIDATE_FW_H_

#include "exo_common.h"
#include "exo_types.h"

#define NW_FW_AVAILABLE_SET 0x10



#ifdef BTLR_ON

void check_gs_contact_time_is_expired(void);
void gs_contact_wait_timer_init(void);

#endif

void new_software_verification_fail(void);
void new_fw_validation_completed(void);
void otsu_send_sband_sync_status_cblk(uint8_t sts);
void gs_contact_timer_stop(void);

#endif /* _INC_OTSU_VALIDATE_FW_H_ */
